Subject: [Rtg-yang-coord] Fwd: [L3sm] Some background on the L3VPN Service YANG Model work

From: Benoit Claise <[email-masked]>
Date: Wed, 04 Mar 2015 14:52:36 +0100

FYI.

Regards, Benoit

-------- Forwarded Message --------
Subject: 	[L3sm] Some background on the L3VPN Service YANG Model work
Date: 	Wed, 4 Mar 2015 14:40:52 +0100
From: 	Benoit Claise <[email-masked]>
To: 	[email-masked]

Dear all,

Let me give you some background on this new piece of work: The Layer 
Three Virtual Private Network Service Model (L3SM)

Three months ago, Adrian Farrel and I set up a design team to create a 
L3VPN _service _YANG model.
It needs to be clearly understood that this L3VPN _service _model is not 
an L3VPN configuration model. That is, it does not provide details for 
configuring network elements or protocols. Instead it contains the 
characteristics of the service, as discussed between the operators and 
their customers.  Therefore, that design team was composed of operators 
only.

That design team created a first draft: 
http://datatracker.ietf.org/doc/draft-l3vpn-service-yang/
Now that the draft has been posted, the work and discussion should 
continue in a public forum, i.e. this [email-masked] mailing list.

Next step? we're busy trying to create a new short-lived WG, focusing 
solely on this L3VPN service YANG model.
See the proposal at https://datatracker.ietf.org/doc/charter-ietf-l3sm/
If this WG is created (This proposal is on the IESG telechat this week 
for external review approval), this would be a good test for the IETF 
community: are we ready to standardize a first service YANG model? 
Personally, I believe we are.
IMO, the advantage/driver for this work is explained in the charter 
proposal:

    The deliverable from this working group will provide information to evaluate the
    set of YANG models that have already been developed or are under development,
    and will help identify any missing models or details.  The deliverable can be
    viewed as driving requirements for protocol configuration model so that the
    service parameters can be mapped into inputs used by the protocol models.

Don't hesitate to forward this email.
     List address: [email-masked]
     Archive: http://www.ietf.org/mail-archive/web/l3sm/
     To subscribe: https://www.ietf.org/mailman/listinfo/l3sm

Regards, Benoit

---

From: "Susan Hares" <[email-masked]>
Date: Wed, 4 Mar 2015 09:44:26 -0500

Benoit:

Do you consider the L3VPN service a protocol dependent yang module or a
protocol independent module? 

Sue 

From: Rtg-yang-coord [mailto:[email-masked]] On Behalf Of
Benoit Claise
Sent: Wednesday, March 04, 2015 8:53 AM
To: [email-masked]
Subject: [Rtg-yang-coord] Fwd: [L3sm] Some background on the L3VPN Service
YANG Model work

FYI.

Regards, Benoit

-------- Forwarded Message -------- 

Subject: 

[L3sm] Some background on the L3VPN Service YANG Model work

Date: 

Wed, 4 Mar 2015 14:40:52 +0100

From: 

Benoit Claise  <mailto:[email-masked]> <[email-masked]>

To: 

[email-masked]

Dear all,

Let me give you some background on this new piece of work: The Layer Three
Virtual Private Network Service Model (L3SM)

Three months ago, Adrian Farrel and I set up a design team to create a L3VPN
service YANG model.
It needs to be clearly understood that this L3VPN service model is not an
L3VPN configuration model. That is, it does not provide details for
configuring network elements or protocols. Instead it contains the
characteristics of the service, as discussed between the operators and their
customers.  Therefore, that design team was composed of operators only.

That design team created a first draft:
http://datatracker.ietf.org/doc/draft-l3vpn-service-yang/ 
Now that the draft has been posted, the work and discussion should continue
in a public forum, i.e. this [email-masked] mailing list.

Next step? we're busy trying to create a new short-lived WG, focusing solely
on this L3VPN service YANG model.
See the proposal at https://datatracker.ietf.org/doc/charter-ietf-l3sm/
If this WG is created (This proposal is on the IESG telechat this week for
external review approval), this would be a good test for the IETF community:
are we ready to standardize a first service YANG model? Personally, I
believe we are. 
IMO, the advantage/driver for this work is explained in the charter
proposal:

The deliverable from this working group will provide information to evaluate
the
set of YANG models that have already been developed or are under
development,
and will help identify any missing models or details.  The deliverable can
be
viewed as driving requirements for protocol configuration model so that the
service parameters can be mapped into inputs used by the protocol models.

Regards, Benoit

---

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 6 Mar 2015 22:03:18 -0000

Hi Sue,
 
As Stephane answered on the IDR list, the answer is "not exactly" :-)
 
The intention here is protocol independence in that the model is not (in its
final form, but remember this is a working first draft) considering the
protocols or network elements used to deliver the service. It is simply
describing the service.
 
A good example I have been discussing with the authors is failure detection on
the CE-PE link.
This (IMHO) should not talk about the BFD transmission time. I think it should
talk about the maximum failure detection time, and leave the operator to decide
how to map that on to the various protocol and OAM tools they have from their
suppliers.
 
So there will definitely be a secondary piece of work to figure out how to map
the abstract service definition to the protocols. I think some of that will be
vendor (hardware or software) secret sauce and some may be standardised. Along
the way this will inevitably point out missing knobs and whistles in our
protocols and our protocol configuration tools.
 
Adrian
 
From: Rtg-yang-coord [mailto:[email-masked]] On Behalf Of Susan
Hares
Sent: 04 March 2015 14:44
To: 'Benoit Claise'; [email-masked]
Subject: Re: [Rtg-yang-coord] Fwd: [L3sm] Some background on the L3VPN Service
YANG Model work
 
Benoit:
 
Do you consider the L3VPN service a protocol dependent yang module or a protocol
independent module? 
 
Sue 
 
From: Rtg-yang-coord [mailto:[email-masked]] On Behalf Of
Benoit Claise
Sent: Wednesday, March 04, 2015 8:53 AM
To: [email-masked]
Subject: [Rtg-yang-coord] Fwd: [L3sm] Some background on the L3VPN Service YANG
Model work
 
FYI.

Regards, Benoit

-------- Forwarded Message -------- 

Subject: 

Date: 

From: 

To: 
[email-masked]

Dear all,

Three months ago, Adrian Farrel and I set up a design team to create a L3VPN
service YANG model.
It needs to be clearly understood that this L3VPN service model is not an L3VPN
configuration model. That is, it does not provide details for configuring
network elements or protocols. Instead it contains the characteristics of the
service, as discussed between the operators and their customers.  Therefore,
that design team was composed of operators only.

That design team created a first draft:
http://datatracker.ietf.org/doc/draft-l3vpn-service-yang/ 
Now that the draft has been posted, the work and discussion should continue in a
public forum, i.e. this [email-masked] mailing list.

Next step? we're busy trying to create a new short-lived WG, focusing solely on
this L3VPN service YANG model.
See the proposal at https://datatracker.ietf.org/doc/charter-ietf-l3sm/
If this WG is created (This proposal is on the IESG telechat this week for
external review approval), this would be a good test for the IETF community: are
we ready to standardize a first service YANG model? Personally, I believe we
are. 
IMO, the advantage/driver for this work is explained in the charter proposal:
The deliverable from this working group will provide information to evaluate the
set of YANG models that have already been developed or are under development,
and will help identify any missing models or details.  The deliverable can be
viewed as driving requirements for protocol configuration model so that the
service parameters can be mapped into inputs used by the protocol models.
Don't hesitate to forward this email. 
    List address: [email-masked] 
    Archive: http://www.ietf.org/mail-archive/web/l3sm/ 
    To subscribe: https://www.ietf.org/mailman/listinfo/l3sm

Regards, Benoit

---

From: Benoit Claise <[email-masked]>
Date: Mon, 09 Mar 2015 14:49:15 +0100

Hi Sue,

Sorry for the delay in getting back to you.
+1 to Adrian's answer.
As mentioned in the proposed charter:

    It needs to be clearly understood that this L3VPN service model is not an L3VPN
    configuration model. That is, it does not provide details for configuring
    network elements or protocols. Instead it contains the characteristics of the
    service, as discussed between the operators and their customers. A separate
    process is responsible for mapping this service model onto the protocols and
    network elements depending on how the network operator chooses to realise the
    service.

Regards, Benoit

> The intention here is protocol independence in that the model is not 
> (in its final form, but remember this is a working first draft) 
> considering the protocols or network elements used to deliver the 
> service. It is simply describing the service.
>
> A good example I have been discussing with the authors is failure 
> detection on the CE-PE link.
>
> This (IMHO) should not talk about the BFD transmission time. I think 
> it should talk about the maximum failure detection time, and leave the 
> operator to decide how to map that on to the various protocol and OAM 
> tools they have from their suppliers.
>
> So there will definitely be a secondary piece of work to figure out 
> how to map the abstract service definition to the protocols. I think 
> some of that will be vendor (hardware or software) secret sauce and 
> some may be standardised. Along the way this will inevitably point out 
> missing knobs and whistles in our protocols and our protocol 
> configuration tools.
>
> Adrian
>
> *From:*Rtg-yang-coord [mailto:[email-masked]] *On 
> Behalf Of *Susan Hares
> *Sent:* 04 March 2015 14:44
> *To:* 'Benoit Claise'; [email-masked]
> *Subject:* Re: [Rtg-yang-coord] Fwd: [L3sm] Some background on the 
> L3VPN Service YANG Model work
>
> Benoit:
>
> Do you consider the L3VPN service a protocol dependent yang module or 
> a protocol independent module?
>
> Sue
>
> *From:*Rtg-yang-coord [mailto:[email-masked]] *On 
> Behalf Of *Benoit Claise
> *Sent:* Wednesday, March 04, 2015 8:53 AM
> *To:* [email-masked]
> *Subject:* [Rtg-yang-coord] Fwd: [L3sm] Some background on the L3VPN 
> Service YANG Model work
>
> FYI.
>
> Regards, Benoit
>
>
>
> *Subject: *
> *Date: *
> *From: *
> Benoit Claise <[email-masked]> <mailto:[email-masked]>
>
> *To: *
>
> 	
>
> [email-masked] <mailto:[email-masked]>
>
>
>
> Dear all,
>
> It needs to be clearly understood that this L3VPN _service _model is 
> not an L3VPN configuration model. That is, it does not provide details 
> for configuring network elements or protocols. Instead it contains the 
> their customers.  Therefore, that design team was composed of 
> operators only.
>
> continue in a public forum, i.e. this [email-masked] 
> <mailto:[email-masked]> mailing list.
>
>     List address: [email-masked] <mailto:[email-masked]>